Installation of Plesk updates fails after dist-upgrade

Created:

2017-02-05 22:41:06 UTC

Modified:

2017-08-08 13:41:49 UTC

0

Was this article helpful?


Have more questions?

Submit a request

Installation of Plesk updates fails after dist-upgrade

Applicable to:

  • Plesk for Linux

Symptoms

Installation of Plesk updates fails after dist-upgrade. The following error is shown:

ERROR: Not found source for system packages (release 7) in APT software sources configuration: 
Package files:
100 /var/lib/dpkg/status
release a=now
.....
500 http://security.debian.org/ jessie/updates/main Translation-en
500 http://security.debian.org/ jessie/updates/contrib Translation-en
500 http://security.debian.org/ jessie/updates/contrib i386 Packages
release v=8,o=Debian,a=stable,n=jessie,l=Debian-Security,c=contrib
origin security.debian.org
500 http://security.debian.org/ jessie/updates/main i386 Packages
release v=8,o=Debian,a=stable,n=jessie,l=Debian-Security,c=main
origin security.debian.org
...
Pinned packages:
exit status 1

There is a file /etc/lsb-release on the system and it contains information about previous OS release.

The proper repositories are configured in /etc/apt/source.list file

Cause

Incorrect information specified in /etc/lsb-release overrides information about system in /etc/os-release file and as a result OS release determined incorrectly.

Resolution

Move /etc/lsb-release to another location or specify valid value for DISTRIB_RELEASE parameter in it.

Have more questions? Submit a request
Please sign in to leave a comment.